Skip to main content
POST
/
v1
/
asset-uploads
Create a presigned upload session
curl --request POST \
  --url https://api.runflow.io/v1/asset-uploads \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filename": "<string>",
  "mime_type": "<string>",
  "size_bytes": 26214400
}
'
{
  "asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "upload_url": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Organization-Id
string | null

Body

application/json

POST /v1/asset-uploads body.

filename
string
required
Required string length: 1 - 500
mime_type
string
required
Required string length: 1 - 255
size_bytes
integer
required
Required range: 1 <= x <= 52428800

Response

Successful Response

POST /v1/asset-uploads response.

asset_id
string<uuid>
required
upload_url
string<uri>
required